A Sandcastle Documented Class Library

# MainWindow Class

Interaction logic for MainWindow.xaml
MainWindow
Inheritance Hierarchy
System
Object
System.Windows.Threading
DispatcherObject
System.Windows
DependencyObject
System.Windows.Media
Visual
System.Windows
UIElement
System.Windows
FrameworkElement
System.Windows.Controls
Control
System.Windows.Controls
ContentControl
System.Windows
Window
butterflow_ui
MainWindow

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    public class MainWindow : Window, IComponentConnector,
    	IStyleConnector

The MainWindow type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| MainWindow | Default constructor.

Top
Properties

| Name | Description
--- | --- | ---
| ButterflowWrapper | The butterflow wrapper used to call butterflow.
| OptionsConfiguration | Gets or sets the butterflow options configuration.

Top
Methods

| Name | Description
--- | --- | ---
| _CreateDelegate |
| bntClip_Click | Event handler. Called by bntClip for click events.
| bntVideoBackward_Click | Event handler. Called by bntVideoBackward for click events.
| bntVideoForward_Click | Event handler. Called by bntVideoForward for click events.
| bntVideoPlay_Click | Event handler. Called by bntVideoPlay for click events.
| bntVideoStop_Click | Event handler. Called by bntVideoStop for click events.
| btnCancel_Click | Event handler. Called by btnCancel for click events.
| btnCopyArguments_Click | Event handler. Called by btnCopyArguments for click events.
| btnFileOutputPicker_Click | Event handler. Called by btnFileOutputPicker for click events.
| btnFilePicker_Click | Event handler. Called by btnFilePicker for click events.
| btnProcess_Click | Event handler. Called by btnProcess for click events.
| btnRemoveSubregion_Click | Event handler. Called by btnRemoveSubregion for click events.
| ButterflowWrapper_ParsedConsoleOutputRecieved | Butterflow wrapper parsed console output recieved.
| GetRecursiveChildren T | Gets the recursive children of a parent element that are of type T.
| InitializeComponent | InitializeComponent
| mediaPreview_MediaEnded | Event handler. Called by mediaPreview for media ended events.
| mediaPreview_MediaOpened | Event handler. Called by mediaPreview for media opened events.
| menuAboutButterflowUI_Click | Event handler. Called by menuAboutButterflowUI for click events.
| menuButterflowGithub_Click | Event handler. Called by menuButterflowGithub for click events.
| menuButterflowUIGithub_Click | Event handler. Called by menuButterflowUIGithub for click events.
| menuOpen_Click | Event handler. Called by menuOpen for click events.
| menuOptions_Click | Event handler. Called by menuOptions for click events.
| menuSaveConfiguration_Click | Event handler. Called by menuSaveConfiguration for click events.
| PlaybackRateRadioButton_Checked | Event handler. Called by PlaybackRate radio buttons for checked events.
| ScrollViewer_ScrollChanged | Event handler. Called by ScrollViewer for scroll changed events.
| txtPlaybackRate_GotFocus | Event handler. Called by txtPlaybackRate for got focus events.

Top
Fields

| Name | Description
--- | --- | ---
| _contentLoaded |
| bntClip |
| bntVideoBackward |
| bntVideoForward |
| bntVideoPlay |
| bntVideoStop |
| btnCancel |
| btnCopyArguments |
| btnFileOutputPicker |
| btnFilePicker |
| btnProcess |
| butterflowUIWindow |
| canvas |
| ClippingButtonIcon |
| clipStart | The temporary storage for the clip start time.
| isClipping | True if is the user has started clipping, false if not.
| listSubregions |
| mediaPreview |
| menuAboutButterflowUI |
| menuButterflowGithub |
| menuButterflowUIGithub |
| menuCopyArguments |
| menuOpen |
| menuOptions |
| menuSaveConfiguration |
| PlayPauseButtonIcon |
| progressBar |
| sliderMedia |
| SUPPORTED_FILE_TYPES | List of types of videos supported by ffmpeg, and thus butterflow.
| txtConsoleOutput |
| txtFileName |
| txtFileOutputName |
| txtPlaybackRate |

Top
See Also

#### Reference

butterflow_ui Namespace